﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using Infragistics.Win.UltraWinToolbars;
using System.Drawing;

namespace WindowsFormsApplication1
{
    public class ApplicationMenuHeaderDrawFilter : IUIElementDrawFilter
    {
        public bool DrawElement(DrawPhase drawPhase, ref UIElementDrawParams drawParams)
        {
            if (drawParams.Element is ApplicationMenuHeaderUIElement)
            {
                drawParams.AppearanceData.BackColor = Color.DarkGray;
                drawParams.AppearanceData.BackGradientStyle = GradientStyle.None;
            }
            return false;
        }

        public DrawPhase GetPhasesToFilter(ref UIElementDrawParams drawParams)
        {
            if (drawParams.Element is ApplicationMenuHeaderUIElement)
                return DrawPhase.BeforeDrawElement;
            return DrawPhase.None;
        }
    }
}
